POST api/contractapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Request Formats
application/json, text/json
Sample:
{
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "7a80996b-7c5c-4c68-8dac-97881e939bf2",
"site_id": "6a323cf4-1253-472e-8a77-759d1bb24f40"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "7a80996b-7c5c-4c68-8dac-97881e939bf2",
"site_id": "6a323cf4-1253-472e-8a77-759d1bb24f40"
}
],
"selected_sticker_id": "04884be5-65a6-4c10-b119-47b66cadf85b",
"selected_nameplate_id": "10d19e7f-d7c7-4415-bd44-06891c8c113c",
"active": true,
"certificate_type_id": "aa8e40f8-2505-48ac-9175-4e4637f75009",
"code": 1,
"id": "3acb6176-9741-4155-a934-d33f0750e9e5",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "5e03b226-f8c7-4aa9-8f1c-e7bfdfd7989b",
"packing_type_id": "6da0653c-97d1-492b-bdcc-e7649375afe6",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "6a2e360b-8c2c-412b-82e0-84fc999bb745",
"remark": "sample string 14",
"site_customer_id": "5921f5b1-223f-41fd-8bdb-1eed10e39654",
"sorting_type_id": "cb90ac6b-5141-479b-b28c-f74657a038b0",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>aa8e40f8-2505-48ac-9175-4e4637f75009</certificate_type_id>
<code>1</code>
<id>3acb6176-9741-4155-a934-d33f0750e9e5</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>5e03b226-f8c7-4aa9-8f1c-e7bfdfd7989b</packaging_type_id>
<packing_type_id>6da0653c-97d1-492b-bdcc-e7649375afe6</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>6a2e360b-8c2c-412b-82e0-84fc999bb745</pool_id>
<remark>sample string 14</remark>
<site_customer_id>5921f5b1-223f-41fd-8bdb-1eed10e39654</site_customer_id>
<sorting_type_id>cb90ac6b-5141-479b-b28c-f74657a038b0</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>10d19e7f-d7c7-4415-bd44-06891c8c113c</selected_nameplate_id>
<selected_sticker_id>04884be5-65a6-4c10-b119-47b66cadf85b</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>7a80996b-7c5c-4c68-8dac-97881e939bf2</id>
<site_id>6a323cf4-1253-472e-8a77-759d1bb24f40</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>7a80996b-7c5c-4c68-8dac-97881e939bf2</id>
<site_id>6a323cf4-1253-472e-8a77-759d1bb24f40</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b7204cf4-29fa-4fa7-8f29-3eea210b8525"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b7204cf4-29fa-4fa7-8f29-3eea210b8525</guid>